Bug 435098 - Frequent X crashes with "Bad valuators reported for device AlpsPS/2 ALPS GlidePoint"
Frequent X crashes with "Bad valuators reported for device AlpsPS/2 ALPS Glid...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 06:20 EST by ritz
Modified: 2008-03-12 06:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 06:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (1.12 KB, text/plain)
2008-02-27 06:20 EST, ritz
no flags Details
Xorg log (74.84 KB, text/plain)
2008-02-27 06:21 EST, ritz
no flags Details
Xorg.0.log (38.96 KB, text/plain)
2008-03-03 13:24 EST, James Ralston
no flags Details
output of "lspci -v" (5.80 KB, text/plain)
2008-03-03 13:25 EST, James Ralston
no flags Details

  None (edit)
Description ritz 2008-02-27 06:20:41 EST
Description of problem:
X crashes frequently

Version-Release number of selected component (if applicable):
xorg-x11-drv-mouse-1.2.3-4.fc9.i386
rawhide snapshot (27th Feb of 2008)

How reproducible:
frequent

Steps to Reproduce:
1. n/a
  
Actual results:
X crashes

Expected results:
X should not crash

Additional info:
Seen from Xorg log
(II) USB Optical Mouse: On

Fatal server error:
Bad valuators reported for device AlpsPS/2 ALPS GlidePoint

(II) PS/2 Mouse: Off
(II) Macintosh mouse button emulation: Off
(II) AlpsPS/2 ALPS GlidePoint: Off
(II) AT Translated Set 2 keyboard: Off
(II) USB Optical Mouse: Off
Comment 1 ritz 2008-02-27 06:20:41 EST
Created attachment 296046 [details]
xorg.conf file
Comment 2 ritz 2008-02-27 06:21:57 EST
Created attachment 296047 [details]
Xorg log
Comment 3 James Ralston 2008-03-03 13:24:14 EST
Created attachment 296655 [details]
Xorg.0.log 

I just encountered this bug as well.  I've attached my Xorg.0.log.

I'm running without an /etc/X11/xorg.conf file.  I'll attach the output of
"lspci -v" momentarily.

$ repoquery --envra --pkgnarrow=installed xorg-x11-drv-{ati,mouse}
'xorg-x11-server*'
0:xorg-x11-drv-mouse-1.2.3-4.fc9.i386
0:xorg-x11-drv-ati-6.8.0-3.fc9.i386
0:xorg-x11-server-common-1.4.99.1-0.26.20080227.fc9.i386
0:xorg-x11-server-Xorg-1.4.99.1-0.26.20080227.fc9.i386
0:xorg-x11-server-utils-7.3-3.fc9.i386
Comment 4 James Ralston 2008-03-03 13:25:22 EST
Created attachment 296656 [details]
output of "lspci -v"
Comment 5 ritz 2008-03-04 17:13:29 EST
Using touchpad triggers this error.

Comment 6 James Ralston 2008-03-04 17:51:11 EST
Not always, though.  (I've encountered it only once, while others seem to have
experienced it multiple times...)
Comment 7 ritz 2008-03-12 06:03:01 EDT
no more crash seen. strangely, mouse buttons are not mapped correctly anymore.

Note You need to log in before you can comment on or make changes to this bug.